function y=plt(x1,x2)
% Y=PLT(X1,X2)
% contours two 512-long state vectors according to defaults used defined
% in for example /data1/dimitri/gfdl/exp/cgf.mat created by
% /data1/dimitri/gfdl/exp/state.m.old
% simpler, rougher and faster than pltf

lat=10.5:8:66.5;long=145.5:8:265.5;clf reset
[lx ly]=meshgrid(145.5:8:233.5,10.5:8:58.5);

xx=x1(1:128);s=(max(xx)-min(xx))/4;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(421),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('0-100m depth'),
 
xx=x1(129:256)/5;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(423),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('100-600m depth'),

xx=x1(257:384)/10;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(425),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('600-1600m depth'),

xx=x1(385:512)/24;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(427),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('1600-4000m depth'),

xx=x2(1:128);s=(max(xx)-min(xx))/4;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(422),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('0-100m depth'),
 
xx=x2(129:256)/5;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(424),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('100-600m depth'),

xx=x2(257:384)/10;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(426),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('600-1600m depth'),

xx=x2(385:512)/24;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(428),cntourx(long,lat,xx,s);
axis([141 239 6 64]);hold on, plot(lx,ly,'w.'),
title('1600-4000m depth'),
